function printGunImage::onFire(%db,%pl,%slot)
{
	%pl.setImageAmmo(1,0);
	%start = %pl.getEyePoint();
	%vec = %pl.getEyeVector();
	%end = vectorAdd(%start,vectorScale(%vec,10));
	%mask = $TypeMasks::FxBrickAlwaysObjectType;
	%raycast = containerRayCast(%start, %end, %mask, "0");
	if(!%raycast)
		return;
	%hitObj = getWord(%raycast,0);
	%hitPos = getWords(%raycast,1,3);
	%hitNormal = getWords(%raycast,4,6);

	%db.onHitObject(%pl,%slot,%hitObj,%hitPos,%hitNormal);
}
function printGunImage::onMount(%db,%pl,%slot)
{
	parent::onMount(%db,%pl,%slot);
	%pl.mountImage(dualPrinterLeft,1);
}
function printGunImage::onUnMount(%db,%pl,%slot)
{
	parent::onUnMount(%db,%pl,%slot);
	%pl.unMountImage(1);
}
datablock ShapeBaseImageData(dualPrinterLeft : printGunImage)
{
	projectile = hammerProjectile;
	mountPoint = 1;
	eyeOffset = "-0.7 1.2 -0.55";
	
	stateName[0] = "Ready";
	stateTransitionOnNoAmmo[0] = "Fire";
	
	stateName[1] = "Fire";
	stateScript[1] = "onFire";
	stateTimeoutValue[1] = 0.25;
	stateTransitionOnTimeout[1] = "Ready";
	stateEmitter[1] = printGunEmitter;
	stateEmitterTime[1] = 0.15;
};
function dualPrinterLeft::onMount(%db,%pl,%slot)
{
	parent::onMount(%db,%pl,%slot);
	%pl.playThread(1,armReadyBoth);
}
function dualPrinterLeft::onFire(%db,%pl,%slot)
{
	%pl.setImageAmmo(1,1);
}